Method: projects.locations.brands.stores.create

Creates a store.

HTTP request

POST https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/brands/*}/stores

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent brand, which owns this collection of stores. Format: projects/{project}/locations/{location}/brands/{brand}

Query parameters

Parameters
storeId

string

Optional. The Store Id to use for the store, which will become the final component of the store's resource name.

This value should only contain lower-case letters, numbers, and hyphen, with the first and last character a letter or a number, and a 63 character maximum.

Request body

The request body contains an instance of Store.

Response body

If successful, the response body contains a newly created instance of Store.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.